PETSc version 3.15.5
Fix/Edit manual page

# DMMoabSetGlobalFieldVector

Sets the vector reference that represents the global solution associated with all fields (components) managed by DM. A useful utility when updating the DM solution after a solve, to be serialized with the mesh for checkpointing purposes.

### Synopsis

    #include "petscdmmoab.h"
    PetscErrorCode DMMoabSetGlobalFieldVector(DM dm, Vec fvec)

Not Collective

### Input Parameters

| dm | - the discretization manager object
| fvec | - the global Vector solution corresponding to all the fields managed by DM

### See Also

DMMoabGetFieldName(), DMMoabSetFieldVector()

### Level

intermediate

### Location

src/dm/impls/moab/dmmbfield.cxx

### Examples

src/ts/tutorials/ex35.cxx.html
Index of all DMMOAB routines
Table of Contents for all manual pages
Index of all manual pages